### Method

# EDataServer Source invoke_authenticate_sync

since: 3.16

#### Declaration [src]

    gboolean
    e_source_invoke_authenticate_sync (
      ESource* source,
      const ENamedParameters* credentials,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Calls the InvokeAuthenticate method on the server side, thus the backend knows what credentials to use to connect to its (possibly remote) data store.

If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.16

#### Parameters

`credentials`

  Type: `ENamedParameters`

  An `ENamedParameters` structure with credentials to use; can be `NULL` to use those from the last call.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.